summaryrefslogtreecommitdiff
path: root/app-portage
diff options
context:
space:
mode:
authorRichard Freeman <rich@rich0.org>2026-08-21 19:41:44 -0400
committerSam James <sam@gentoo.org>2026-08-22 04:44:03 +0100
commit8be8ed2ec65aa7ce4098a229b5882853cce288c1 (patch)
treec04069ebf5aaa9e91daa00835d49a84d63067e2e /app-portage
parent0cec5960cb04ffe06498ccf460f1f941b9221a85 (diff)
app-portage/cfg-update: add 1.11.0
Signed-off-by: Richard Freeman <rich@rich0.org> Part-of: https://codeberg.org/gentoo/gentoo/pulls/1707 Merges: https://codeberg.org/gentoo/gentoo/pulls/1707 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'app-portage')
-rw-r--r--app-portage/cfg-update/Manifest1
-rw-r--r--app-portage/cfg-update/cfg-update-1.11.0.ebuild85
2 files changed, 86 insertions, 0 deletions
diff --git a/app-portage/cfg-update/Manifest b/app-portage/cfg-update/Manifest
index 5a03ca9d1e76..e2fe6bdebb0b 100644
--- a/app-portage/cfg-update/Manifest
+++ b/app-portage/cfg-update/Manifest
@@ -1,2 +1,3 @@
+DIST cfg-update-1.11.0.tgz 315316 BLAKE2B 27a79d022770508762e0864cbafd1c1deb9196d27ed82245ba79918fb3e8350261a78503731d3342657b0074070c3a65f1073c1c70c5c78873a23ffb382da176 SHA512 9bffba78fba8ea8cdd871fcd6f058c9eed5eb2b163eec3917cb9b5e8751abc25d83fc1343099d80a8eb4fc1650923babf3c4ff0fa4d2694d6ff3de4585b5bd5b
DIST cfg-update-1.8.11.tgz 162361 BLAKE2B 1fcc387d30e5b8a7edf8e5fc4bc842b6e9d2750e24a87e0d3ff477bf38383d002ffa708b62811755781fe27560655954c4079533242680a9ad169feebaaba6c1 SHA512 46ea7ac35ff33b003a1783d2f5d3611643eb4d57e8c08aed0eca00b74160b814fdcf595b3b549d8313e9eef2dce8b2d661b069cffe37af5999394ac3a5bc78b3
DIST cfg-update-1.8.9.tgz 162356 BLAKE2B 2194b485ae17ee09fe212fb88fee0d3974bb7877b9bee6a243475f689e033e950d9d331108f9360a5bb65b40f2a83916fc9bd208b153d4eb2a6fac0bfb3f4c64 SHA512 2c2d4d5cddaf1c5c8233bfde29b488d682e723da3e267756e203b4ea3c97f2f88615530002975ff07fb466eebed603e4ce227591a1b1e09ef3aca8c2eb17fcb9
diff --git a/app-portage/cfg-update/cfg-update-1.11.0.ebuild b/app-portage/cfg-update/cfg-update-1.11.0.ebuild
new file mode 100644
index 000000000000..a330ace93596
--- /dev/null
+++ b/app-portage/cfg-update/cfg-update-1.11.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Easy to use GUI & CLI alternative for etc-update"
+HOMEPAGE="https://github.com/rich0/cfg-update"
+SRC_URI="https://github.com/rich0/cfg-update/archive/${PV}.tar.gz -> ${P}.tgz"
+S="${WORKDIR}/cfg-update-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="test X"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ app-shells/bash
+ sys-apps/diffutils
+ virtual/perl-Term-ANSIColor
+ )
+"
+
+RDEPEND="
+ dev-perl/TermReadKey
+ X? (
+ >=x11-misc/sux-1.0
+ x11-apps/xhost
+ )"
+
+pkg_prerm() {
+ if [[ -z ${ROOT} ]]
+ then
+ ebegin "Disabling portage hook"
+ cfg-update --ebuild --disable-portage-hook
+ eend $?
+ ebegin "Disabling paludis hook"
+ cfg-update --ebuild --disable-paludis-hook
+ eend $?
+ fi
+}
+
+pkg_postrm() {
+ echo
+ ewarn "If you want to permanently remove cfg-update from your system"
+ ewarn "you should remove the index file /var/lib/cfg-update/checksum.index"
+ echo
+}
+
+src_test() {
+ if ! use test; then
+ ewarn "Skipping tests (USE=-test)"
+ return
+ fi
+
+ einfo "Running cfg-update integration test harness"
+ "${S}"/test/run-tests.sh --full || die "Integration tests failed"
+}
+
+src_install() {
+ dobin cfg-update
+ insinto /usr/lib/cfg-update
+ doins cfg-update cfg-update_indexing
+ dodoc ChangeLog
+ doman *.8
+ insinto /etc
+ doins cfg-update.conf
+ keepdir /var/lib/cfg-update
+}
+
+pkg_postinst() {
+ echo
+ einfo "If this is a first time install, please check the configuration"
+ einfo "in /etc/cfg-update.conf before using cfg-update:"
+ echo
+ einfo "If your system does not have an X-server installed you need to"
+ einfo "change the MERGE_TOOL to sdiff, imediff, or vimdiff."
+ einfo "If you have X installed, set MERGE_TOOL to your favorite GUI tool:"
+ einfo "meld (default), kdiff3, xxdiff, gvimdiff, tkdiff, kompare"
+ echo
+ einfo "TIP: to maximize the chances of future automatic updates, run:"
+ einfo "cfg-update --optimize-backups"
+ echo
+}